/// <reference types="lodash" />
/// <reference types="react" />
import * as React from '@theia/core/shared/react';
interface HistoryState {
    history: string[];
    index: number;
}
declare type InputAttributes = React.InputHTMLAttributes<HTMLInputElement>;
export declare class SearchInWorkspaceInput extends React.Component<InputAttributes, HistoryState> {
    static LIMIT: number;
    private input;
    constructor(props: InputAttributes);
    updateState(index: number, history?: string[]): void;
    get value(): string;
    set value(value: string);
    /**
     * Handle history navigation without overriding the parent's onKeyDown handler, if any.
     */
    protected readonly onKeyDown: (e: React.KeyboardEvent<HTMLInputElement>) => void;
    /**
     * Switch the input's text to the previous value, if any.
     */
    previousValue(): void;
    /**
     * Switch the input's text to the next value, if any.
     */
    nextValue(): void;
    /**
     * Handle history collection without overriding the parent's onChange handler, if any.
     */
    protected readonly onChange: (e: React.ChangeEvent<HTMLInputElement>) => void;
    /**
     * Add a nonempty current value to the history, if not already present. (Debounced, 1 second delay.)
     */
    readonly addToHistory: import("lodash").DebouncedFunc<() => void>;
    private doAddToHistory;
    render(): React.ReactNode;
}
export {};
//# sourceMappingURL=search-in-workspace-input.d.ts.map